std::atomic::load(3)

NAME
std::atomic::load - std::atomic::load

Synopsis
   T load( std::memory_order order = std::memory_order_seq_cst ) const
   noexcept; (since C++11)
   T load( std::memory_order order = std::memory_order_seq_cst ) const
   volatile noexcept;
   Atomically loads and returns the current value of the atomic variable. Memory is
   affected according to the value of order.
   order must be one of std::memory_order_relaxed, std::memory_order_consume,
   std::memory_order_acquire or std::memory_order_seq_cst. Otherwise the behavior is
   undefined.
   The volatile-qualified version is deprecated if (since C++20)
   std::atomic<T>::is_always_lock_free is false.

Parameters
   order - memory order constraints to enforce

Return value
   The current value of the atomic variable.

See also
   operator T loads a value from an atomic object
                        (public member function)
   atomic_load
   atomic_load_explicit atomically obtains the value stored in an atomic object
   (C++11) (function template)
   (C++11)